Project

General

Profile

action #120013

coordination #121876: [epic] Handle openQA review failures in Yam squad

Install open-iscsi package in iscsi_client

Added by rainerkoenig 3 months ago. Updated about 2 months ago.

Status:
Resolved
Priority:
High
Assignee:
Target version:
Start date:
2022-11-07
Due date:
% Done:

0%

Estimated time:

Description

Observation

With SLE 15 SP5 Build 29.1 a change in YaST was applied that removed the open-iscsi package from the dependencies. As a result of this there is a popup that is asking for the installation of open-iscsi which is now occurring in the iscsi_client test module.

Scope

  • SLE 15 SP5 >= Build 29.1

Acceptance criteria

AC1: open-iscsi is installed before opening yast module
AC2: Verify that the change does not harm other versions of SLE

Suggestions

A zypper in open-iscsi should be executed at the beginning of the iscsi_client test module. Zypper will return 0 even if the module is installed already, so it shouldn't be a difficult patch.

History

#1 Updated by rainerkoenig 3 months ago

  • Project changed from openQA Tests to qe-yam

#2 Updated by JERiveraMoya 3 months ago

  • Tags set to qe-yast-refinement
  • Description updated (diff)
  • Priority changed from Normal to High
  • Target version set to Current

#3 Updated by JERiveraMoya 3 months ago

  • Tags deleted (qe-yast-refinement)
  • Status changed from New to Workable

#4 Updated by geor 3 months ago

  • Status changed from Workable to In Progress
  • Assignee set to geor

#6 Updated by geor 2 months ago

  • Status changed from In Progress to Resolved

#7 Updated by JERiveraMoya about 2 months ago

  • Parent task set to #121876

Also available in: Atom PDF